package com.njcn.harmonic.pojo.vo;

import cn.hutool.core.util.NumberUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author rui.wu
 * @since 2022-10-19
 */
@Data
public class RStatLoadTypeVO  {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "单位ID")
    private String orgNo;

    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ApiModelProperty(value = "四类典型干扰源类型(风电、光伏、其他非线性负荷、电铁)")
    private String loadType;

    @ApiModelProperty(value = "四类典型干扰源类型(风电、光伏、其他非线性负荷、电铁)")
    private String loadName;

    @ApiModelProperty(value = "日均谐波电压超标点占比")
    private Float vAverage;

    @ApiModelProperty(value = "累计谐波电压超标占比")
    private Float vAccrued;

    @ApiModelProperty(value = "日均谐波电流超标点占比")
    private Float iAverage;

    @ApiModelProperty(value = "累计谐波电流超标占比")
    private Float iAccrued;

    @ApiModelProperty(value = "日均三相电压不平衡度超标点占比")
    private Float unbalanceAverage;

    @ApiModelProperty(value = "累计三相电压不平衡度超标占比")
    private Float unbalanceAccrued;

    @ApiModelProperty(value = "日均负序电流超标点占比")
    private Float iNegAverage;

    @ApiModelProperty(value = "累计负序电流超标占比")
    private Float iNegAccrued;

    @ApiModelProperty(value = "日均闪变超标点占比")
    private Float flickerAverage;

    @ApiModelProperty(value = "累计闪变超标占比")
    private Float flickerAccrued;

    public void setVAverage(Float vAverage) {
        this.vAverage = NumberUtil.round(vAverage*100,2).floatValue();
    }

    public void setVAccrued(Float vAccrued) {
        this.vAccrued = NumberUtil.round(vAccrued*100,2).floatValue();
    }

    public void setIAverage(Float iAverage) {
        this.iAverage = NumberUtil.round(iAverage*100,2).floatValue();
    }

    public void setIAccrued(Float iAccrued) {
        this.iAccrued = NumberUtil.round(iAccrued*100,2).floatValue();
    }

    public void setUnbalanceAverage(Float unbalanceAverage) {
        this.unbalanceAverage = NumberUtil.round(unbalanceAverage*100,2).floatValue();
    }

    public void setUnbalanceAccrued(Float unbalanceAccrued) {
        this.unbalanceAccrued = NumberUtil.round(unbalanceAccrued*100,2).floatValue();
    }

    public void setINegAverage(Float iNegAverage) {
        this.iNegAverage = NumberUtil.round(iNegAverage*100,2).floatValue();
    }

    public void setINegAccrued(Float iNegAccrued) {
        this.iNegAccrued = NumberUtil.round(iNegAccrued*100,2).floatValue();
    }

    public void setFlickerAverage(Float flickerAverage) {
        this.flickerAverage = NumberUtil.round(flickerAverage*100,2).floatValue();
    }

    public void setFlickerAccrued(Float flickerAccrued) {
        this.flickerAccrued = NumberUtil.round(flickerAccrued*100,2).floatValue();
    }

}
